/*****************************************
 * Large Assignment 1: L-Systems
 * Name:        Michaela Urich
 * E-mail:      murich@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:   09/14/2023 
 ****************************************/
 
 /* ****************************************************************************
 
 THIS SECTION IS TO ANSWER THE PROJECT QUESTIONS:
 
The drawing generated by the function polygonHalt(size, angle) 
as worked through in class with the values: 
polygonHalt(1,1) approximates a circle.
a) What is the radius of this circle?

 
ANSWER:

The radius of the circle is calculated by the fact that the length of the step is 1 
and each degree we turn is also 1, meaning that to reach 360 degrees we have to make 360 steps.
360°

  ******************************************************************************
  
b) The sequence of drawings 
polygonHalt(2,2), 
polyHalt(1,1), 
polyHalt(.5,.5), … 
all with the same curvature (turning angle divided by 
distance traveled size), approaches, in the limit, 
a true mathematical circle. What is the radius of this circle? 
(Note: assume for the purposes of this question that our 
function can handle floating point numbers with infinite precision.)

ANSWER:

The ratio is always the same, step size = degree angle. Regardless 
of the numbers, the radius will be always the same 360 because the ratio is always the same.
1 step with 1 degree of 360 degrees, in sense of turtle steps and turtle step size and curvature.
With the the Simple-Closed-Path Theorem in mind, which explains that the total turning in a simple 
closed path is 360° (to the right or to the left). That is to say, the rotation number
of any simple closed path is +(or -) 1, and the Closed-Path Theorem, which states that the total 
turning along any closed path is an integer multiple of 360°.
This confirms the fact that the radius of the circle is the same, regardless of the size and angle
assuming the ratio is the same. 
The simple-closed-path theorem says that the sum of the exterior angles of any simple polygon is 360°,
so for triangles, we can rewrite this in terms of the three interior angles A, B, and C to get
(180 - A) + (180 - B) + (180 - C) = 360, 
which for a simple circle is just: 
360/(step size, angle) * (ratio) = 360°
As for example above:
(1, 1) = 360 steps (1,1) => 360 * 1 => 360
(2, 2) = 180 steps (2,2) => 180 * 2 => 360
(0.5, 0.5) = 720 steps (0.5, 0.5) => 720 * 0.5 => 360
... and so on

 c = pi*r
 c = circumference
 r = radius
 
  ******************************************************************************
  
c) Suppose we have a simple arcing path that does not cross itself 
and that we join the endpoints of the arc by a straight line 
(see figure 1.17 in the reading). Suppose further that the line 
and the arc do not intersect except at the endpoints. 
Use the simple-closed-path theorem (see reading) to give 
a formula relating the total turning over the arc 
to the (interior) angles, A and B, that the arc makes with the line.

ANSWER:
Simple-Closed-Path Theorem The total turning in a simple closed path
is 360° (to the right or to the left). That is to say, the rotation number
of any simple closed path is +(or -) 1.
The simple-closed-path theorem says that the sum of the exterior angles of 
any simple polygon is 360°, so for triangles, we can rewrite this in terms 
of the three interior angles A, B, and C to get
(180 - A) + (180 - B) + (180 - C) = 360.
For the figure 1.17 on page 31, we still try to reach 360 degrees.
We know from length of an arc is the angle times the size.
We know to make the path simple (no crossing) and we need to get to the same 
point we started at, we need to make 360 degrees.
However, because of the shape, all of our angles must even out.
So from the exercise in the book, if the first right turn is 360 degrees,
first left turn is 240, next left 120, next left 120 last right is 120.
Where, ALL R TURNS = ALL L TURNS
RIGHT: 360 + 120 = 480
LEFT:  240 + 120 + 120 = 480
RIGHT = LEFT
So, the relationship between A & B is that all right turns from the starting
point must equal in angle size to all left turns.

  
  *****************************************************************************/
